<?php declare(strict_types=1);

namespace Orbit;

use Monolog\Logger;

/**
 * Abstract Module
 *
 * This represents some work that a request->response handler can do
 *
 * @package Orbit
 */
class Module
{
    protected $config;
    protected $logger;

    /**
     * Constructor
     *
     * @param Config $config
     * @param Logger $logger
     * @return void
     */
    public function __construct(Config $config, Logger $logger)
    {
        $this->config = $config;
        $this->logger = $logger;
    }
}
